import { IWidgetProperties, WidgetProperty } from "../apis/api.interfaces";
import { IWidgetInstanceInternal } from "../orchestrator/IWidgetInstanceInternal";
import { IWidgetPropertiesInternal } from "../orchestrator/IWidgetPropertiesInternal";
import { WidgetApi } from "../orchestrator/WidgetApi";
import { WidgetStatusEventInternal } from "../widgetApis/widgetInternalApi.interfaces";
export declare class WidgetProperties extends WidgetApi implements IWidgetPropertiesInternal, IWidgetProperties {
    private _properties;
    private _propertyChangeEvent;
    private _isUserSignedIn;
    constructor(widgetInstance: IWidgetInstanceInternal);
    onHandleSignInEvent(eventName: WidgetStatusEventInternal): void;
    get title(): string;
    set title(title: string);
    get attribution(): string;
    set attribution(attribution: string);
    get activationUrl(): string | null;
    set activationUrl(activationUrl: string | null);
    getProperty(name: WidgetProperty): any;
    setProperty(name: WidgetProperty, value: any): void;
    addPropertyChangeListener(listener: (name: WidgetProperty) => void): void;
    removePropertyChangeListener(listener: (name: WidgetProperty) => void): void;
    onRegistrationChanged(): void;
    private onPropertyChange;
    private onThemeChanged;
    private overrideOutlookAttribution;
}
